<section align="center">
<hr>
<br>
<a href="https://neuron-ai.github.io/easyneuron/"><img alt="Logo" src="admin/social/logo%20circle.png" width="300"></a>

<br>
<hr>
<h1>easyNeuron</h1>
<div>
	<a href="https://neuron-ai.github.io/easyneuron/">
		<img alt="Testing Status." src="https://github.com/neuron-ai/easyneuron/actions/workflows/tests.yml/badge.svg?style=flat">
		<img alt="Codacy Code Quality" src="https://app.codacy.com/project/badge/Grade/81d90174a73440b2910a64b2b4794535">
		<img alt="Coverage Status." src="https://app.codacy.com/project/badge/Coverage/81d90174a73440b2910a64b2b4794535">
		<img alt="Project status badge." src="https://img.shields.io/static/v1?label=status&message=planning&color=orange&style=flat">
		<img alt="GitHub commit activity badge." src="https://img.shields.io/github/commit-activity/m/neuron-ai/easyNeuron?style=flat">
		<img alt="Lines of code badge." src="https://img.shields.io/tokei/lines/github/neuron-ai/easyneuron?style=flat">
		<img alt="Visits to this repo badge." src="https://badges.pufler.dev/visits/neuron-ai/easyneuron?style=flat">
	</a>
</div>
<br>

easyNeuron is the new, easy way to create, analyze and program machine learning 🧠 models.

With ML algorithms like K-Nearest-Neighbours, Linear Regression, tools to create complex functions like genetic algorithms and frequent updates and improvements, what's not to love about easyNeuron!

</section>

<br>

## Table of Contents 📝

- [Table of Contents 📝](#table-of-contents-)
- [Contributing ➕](#contributing-)
- [Project Stats 📈](#project-stats-)
- [Other Notes 📝](#other-notes-)
  - [Naming Conventions 🧾](#naming-conventions-)

<br>

---

<br>

<details>
<summary><h2>Features ✔</h2></summary>

- ❌ Models
  - ❌ Linear Regression
  - ❌ Logistic Regression
  - ❌ Decision Trees
  - ❌ Random Forest
  - ❌ Adaboost
  - ✔ K-Nearest Neighbours
  - ❌ K-Means Clustering
  - ❌ Neural Networks
  - ❌ Epsilon Greed Q-Learning
- ❌ Submodules
  - ❌ Genetic Algorithms
    - ❌ Genomes
    - ❌ Optimisers
  - ❌ Neural Networks
    - ❌ Dense Layers
    - ❌ LSTMs
    - ❌ GRUs
  - ❌ Reinforcement Learning
    - ❌ Q-Learning
      - ❌ Greedy
      - ❌ Epsilon Greedy
      - ❌ UCB (Upper Confidence Bounds)
      - ✔ Q-Tables
    - ✔ Environments
  - ❌ Auto Analysis
  - ❌ Maths Tools
  - ✔ Distance Functions
    - ✔ Eucledian
    - ✔ Manhattan
  - ✔ Random Numbers - ✔ Random range with float step
    - ❌ Logging Tools
    - ✔ Types

</details>

<br> <!-- Don't delete this BR newline tag, since it is used with a Python Script (scripts/update_todo.py) -->
## Contributing ➕

Like 👍 this project? Want to contribute to it? Why not put up a pull request with your code changes on it.

> Note: Please read the [Contributing Guidelines](CONTRIBUTING.md) and the appropriate code style document (linked to in `CONTRIBUTING.md`).

Thanks to all who have already contributed...

![contributors](https://contrib.rocks/image?repo=neuron-ai/easyneuron)

<br>
<hr>
<br>

## Project Stats 📈

| Stat                  | Badge                                                                                                                                                                                                                                                                                                                                                                    |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Codacy Quality Rating | <img src="https://app.codacy.com/project/badge/Grade/81d90174a73440b2910a64b2b4794535"> <img alt="Codacy Badge" src="https://app.codacy.com/project/badge/Coverage/81d90174a73440b2910a64b2b4794535"/> |
| Project Status        | <img alt="Testing Status." src="https://github.com/neuron-ai/easyneuron/actions/workflows/tests.yml/badge.svg?style=flat"> <img alt="Project status badge." src="https://img.shields.io/static/v1?label=status&message=planning&color=orange&style=flat">                                                 |
| License               | <img alt="GitHub" src="https://img.shields.io/github/license/neuron-ai/easyneuron?style=flat">                                                                                                                                                                                                                                                                           |
| Activity              | <img alt="GitHub commit activity" src="https://img.shields.io/github/commit-activity/m/neuron-ai/easyneuron?style=flat"><br><img alt="GitHub contributors" src="https://img.shields.io/github/contributors/neuron-ai/easyneuron?style=flat">                                                                                                                             |
| Issues                | <img alt="GitHub issues" src="https://img.shields.io/github/issues/neuron-ai/easyneuron?style=flat"><br><img src="https://img.shields.io/github/issues/neuron-ai/easyneuron/feature-request.svg?style=flat"><br><img src="https://img.shields.io/github/issues/neuron-ai/easyneuron/bug-report.svg?style=flat">                                                          |
| Size                  | <img src="https://img.shields.io/github/languages/code-size/neuron-ai/easyneuron?style=flat"><br><img src="https://img.shields.io/github/repo-size/neuron-ai/easyneuron?style=flat"><br><img alt="Lines of code" src="https://img.shields.io/tokei/lines/github/neuron-ai/easyneuron?style=flat"><br>                                                                    |
| Releases              | <img alt="GitHub release (latest by date)" src="https://img.shields.io/github/v/release/neuron-ai/easyneuron?style=flat"><br><img alt="GitHub all releases" src="https://img.shields.io/github/downloads/neuron-ai/easyneuron/total?style=flat"><br><img alt="GitHub Release Date" src="https://img.shields.io/github/release-date/neuron-ai/easyneuron?style=flat">     |

## Other Notes 📝

<details>

<h2>History ⌛</h2>

easyNeuron was created in 2021 by @Neuron-AI, aiming to create an easy experience for all ML engineers, with any and all of the newly developed algorithms from Neuron AI.

<br>

### Naming Conventions 🧾

Mostly, the names of modules are universal, but, there was some choice of the _maths_ section of the module. In the end, the maths section is known as `easyneuron.math` rather than `easyneuron.maths` (as we are a British group), since there is such a large population who'll use this knowing American English, and it is quicker to type the American version anyway.

</details>

<br>
<hr>
<br>